BlitzReels
BlitzReelsDocumentation
API Reference
GET
/clips/{clip_id}

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

clip_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/clips/string"
{  "clip": {    "clip_id": "string",    "project_id": "string",    "requested_project_name": "string",    "requested_clip_preset_id": "default",    "status": "preparing_source",    "next_action": "poll",    "error": {      "step": "source",      "code": "string",      "message": "string",      "detail": "string",      "expected": "string",      "why_failed": "string",      "how_to_fix": [        "string"      ],      "retryable": true,      "retry_same_input": true,      "upstream": {        "provider": "clips_api",        "job_id": "string",        "export_id": "string",        "request_id": "string"      }    },    "blocking_error": {      "step": "source",      "code": "string",      "message": "string",      "detail": "string",      "expected": "string",      "why_failed": "string",      "how_to_fix": [        "string"      ],      "retryable": true,      "retry_same_input": true,      "upstream": {        "provider": "clips_api",        "job_id": "string",        "export_id": "string",        "request_id": "string"      }    },    "waiting_reason": {      "code": "string",      "message": "string",      "retryable": true,      "retry_same_input": true    },    "status_detail": {      "code": "string",      "message": "string",      "retryable": true,      "retry_same_input": true    },    "source": {      "source_type": "asset",      "asset_id": "string",      "youtube_url": "string",      "source_status": "pending",      "transcript_status": "pending",      "suggestions_status": "pending",      "suggestion_counts": {        "saved": 0,        "drafts": 0,        "total": 0      },      "suggestion_ai_run_ids": [        "string"      ],      "analysis_status": "missing",      "analysis_version": 0,      "canonical_duration_seconds": 0,      "processing": {        "processing_status": "string",        "processing_substage": "string",        "processing_error": "string",        "processing_errors": {          "property1": null,          "property2": null        },        "processing_attempts": -9007199254740991,        "retryable": true,        "provider_request_ids": {          "process_job_run_id": "string",          "transcribe_job_run_id": "string",          "provider_request_id": "string"        }      },      "suitability": {        "verdict": "ready",        "reason": "string",        "retryable": true      },      "readiness_warnings": [        "string"      ]    },    "selection": {      "selection_mode": "auto_best",      "requested_suggestion_id": "string",      "applied_suggestion_id": "string",      "alternatives": [        {          "suggestion_id": "string",          "title": "string",          "hook": "string",          "start_seconds": 0,          "end_seconds": 0,          "duration_seconds": 0,          "score": 0        }      ]    },    "clip_window": {      "start_seconds": 0,      "end_seconds": 0,      "duration_seconds": 0    },    "layout": {      "requested_mode": "auto",      "tutorial_stack_ratio": "screen_70_face_30",      "applied_mode": "split",      "primary_layout": "string",      "speaker_aware_applied": true,      "fallback_used": true,      "fallback_reason": "string",      "requested_mode_honored": true,      "warnings": [        "string"      ]    },    "captions": {      "enabled": true,      "style_id": "string",      "status": "pending",      "clip_window_aware": true,      "item_count": 0,      "warnings": [        "string"      ]    },    "qa": {      "required": true,      "status": "pending",      "blocking": true,      "score": 0,      "summary": "string",      "issues": [        {          "severity": "info",          "code": "string",          "title": "string",          "details": "string",          "suggested_fix": "string"        }      ],      "preview_urls": [        "string"      ],      "visual_debug_url": "string"    },    "export": {      "status": "not_started",      "export_id": "string",      "download_url": "string",      "short_download_url": "string"    },    "request_id": "string",    "created_at": "string",    "updated_at": "string"  },  "repair": {    "applied": true,    "repair_mode": "auto",    "reason": "string",    "previous_timeline_item_id": "string",    "next_timeline_item_id": "string",    "qa_blocking_before": true,    "qa_blocking_after": true,    "warnings": [      "string"    ]  }}